<?php
//  ------------------------------------------------------------------------ //
//                   This module; Copyright (c) 2005 gusagi                  //
//                        <http://good-tea.ddo.jp/trpg>                      //
//  ------------------------------------------------------------------------ //

//*****************************************************************************/
// 初期処理
//*****************************************************************************/
require_once( dirname(dirname(__FILE__)) .'/init.php' );
require_once( XOOPS_ROOT_PATH .'/include/cp_header.php' );
require_once( XOOPS_ROOT_PATH .'/class/template.php' );
include_once( XOOPS_ROOT_PATH .'/modules/system/constants.php' ) ;
require_once( $mod_path .'/include/gtickets.php' );
require_once( $mod_path .'/include/adminbuf.inc.php' );

// check access right (needs system_admin of BLOCK)
$sysperm_handler =& xoops_gethandler('groupperm');
if (!$sysperm_handler->checkRight('system_admin', XOOPS_SYSTEM_BLOCK, $xoopsUser->getGroups())) redirect_header( XOOPS_URL.'/user.php' , 1 , _NOPERM ) ;

// カレントURLの取得
$current_url = $mod_url .'/admin/' .basename( __FILE__ );

// テンプレートの宣言
$awsslTpl =& new XoopsTpl;
$awsslTpl->error_reporting = error_reporting();
$awsslTpl->template_dir = $mod_path.'/admin/templates/';

//*****************************************************************************/
// モジュール設定用配列の生成
//*****************************************************************************/
$configs = array();
$configs['ssl_url'] = array(
	'name' => 'SslUrl',
	'type' => 'text',
	'title' => 'ssl_url',
	'description' => AWSSL_SSL_URL,
	'value' => htmlspecialchars( $awssl_config['ssl_url']['conf_value'], ENT_QUOTES )
);
$configs['non_ssl_url'] = array(
	'name' => 'NonSslUrl',
	'type' => 'text',
	'title' => 'non_ssl_url',
	'description' => AWSSL_NON_SSL_URL,
	'value' => htmlspecialchars( $awssl_config['non_ssl_url']['conf_value'], ENT_QUOTES )
);
$configs['session_name'] = array(
	'name' => 'SessionName',
	'type' => 'text',
	'title' => 'session_name',
	'description' => AWSSL_SESSION_NAME,
	'value' => htmlspecialchars( $awssl_config['session_name']['conf_value'], ENT_QUOTES )
);
$configs['session_regenerate_id'] = array(
	'name' => 'SessionRegenerateId',
	'type' => 'radio',
	'title' => 'session_regenerate_id',
	'description' => AWSSL_REGENERATE_SID,
	'value' => array(
		'yes' => array(
			'value' => 'yes',
			'caption' => AWSSL_YES,
			'checked' => ''
		),
		'no' => array(
			'value' => 'no',
			'caption' => AWSSL_NO,
			'checked' => ''
		)
	)
);
$session_regenerate_id = $awssl_config['session_regenerate_id']['conf_value'];
$configs['session_regenerate_id']['value'][$session_regenerate_id]['checked'] = 'checked="checked"';

//*****************************************************************************/
// 画面表示
//*****************************************************************************/
// 管理画面用ヘッダの呼び出し
xoops_cp_header();
// 管理画面上部メニューの呼び出し
if( file_exists( './mymenu.php' ) ) include( './mymenu.php' );
// 更新を行うアクションのアサイン
$action = $mod_url .'/admin/submit.php';
$awsslTpl->assign( 'action', $action );
// モジュール設定配列のアサイン
$awsslTpl->assign( 'configs', $configs );
// ワンタイムチケットのアサイン
$ticket = $xoopsGTicket->getTicketHtml( __LINE__ , 1800 , 'anywheressl' );
$awsslTpl->assign( 'ticket', $ticket );
// テンプレートの表示
$awsslTpl->display( 'anywheressl_config.html' );

//*****************************************************************************/
// 終了処理
//*****************************************************************************/
// セッションへの格納
$_SESSION['anywheressl_configs'] = $configs;
$_SESSION['anywheressl_op'] = 'save_configs';
// 管理画面用フッタの呼び出し
xoops_cp_footer();

?>
